VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IContextMenuController Class Referenceabstract
Version 4.3

extension to IController The VST3Editor checks all controllers of the views under the mouse on a right click if they have this interface implemented and calls the appendContextMenuItems before showing the context menu to the user More...

## Public Member Functions
virtual | ~IContextMenuController () noexcept=default
virtual void | appendContextMenuItems (COptionMenu &contextMenu, const CPoint &where)=0

## Detailed Description

extension to IController The VST3Editor checks all controllers of the views under the mouse on a right click if they have this interface implemented and calls the appendContextMenuItems before showing the context menu to the user

## Constructor & Destructor Documentation

virtual ~IContextMenuController | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual void appendContextMenuItems | ( | COptionMenu & | contextMenu,
|  | const CPoint & | where
| ) |  |
| pure virtual

The documentation for this class was generated from the following file:

- icontroller.h